<?php
namespace Modules\Invoices\SupplierInvoices\ImportStatements;

class View_Index extends \App\Mvc\View_Popup_FormAbstract
{
	/*
	 * 
	 */
	protected $formClassName = 'View_Utils_FormAdminAbstract';
	
	/**
	 * 
	 * {@inheritDoc}
	 * @see \App\Mvc\View_Popup_FormAbstract::render_getForm()
	 */
	protected function render_getForm($formValues)
	{
		if ($formValues['supplier'] and $formValues['currentStep'] != 1) {
			$this->formClassName='Suppliers\\'.ucfirst($formValues['supplier']).'\\View';
		}

		return parent::render_getForm($formValues);
	}
}
